
#import <appkit/appkit.h>
#import <dbkit/dbkit.h>

@interface JFTableViewLoader:Object
{
    List *dataList;
    List *configList;
    id	tableView;
}

/* loadable palette support */
- (const char *)getInspectorClassName;

/* sets DBTV data source to this object */
- setTableView:anObject;

/*
 *	first update the columns in the table view,
 *	then, reload the table view 
 */
- setDataList:anObject andConfigurationList:cList;	/* prefered */

/*
 *	force reload of the table view 
 */
- setDataList:anObject;

/* 
 *	put here so awake from nib could rebuild the table view
 *	this will check to see if the column already exists.
 *	if so, then it will just replace the title and keep the width
 *
 */
- setConfigurationList:cList;

/*======================================================================
 *	Inspector support
 *	return empty list objects if none currently set
 *======================================================================*/
- (DBTableView *)tableView;
- (List *)dataList;
- (List *)configList;

/*======================================================================
 *	Archiving
 *======================================================================*/

- read:(NXTypedStream *)typedStream;
- write:(NXTypedStream *)typedStream;

/*======================================================================
 *	DBTableView data source (psuedo-delegate) methods
 *======================================================================*/
- (unsigned int) rowCount;
- getValueFor:identifier at:(unsigned int) aPosition into:aValue;
- setValueFor:identifier at:(unsigned int) aPosition from:aValue;



@end
